# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "dofus-dmg-calculator"
version = "1.1.1"
authors = ["Patacode <pata.codegineer@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Compute an estimation of Dofus spells' output damage"
documentation = "https://docs.rs/crate/dofus-dmg-calculator"
readme = "README.md"
keywords = [
    "dofus",
    "damage",
    "calculator",
    "utility",
    "spell",
]
categories = [
    "games",
    "command-line-utilities",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Patacode/dofus-dmg-calculator"

[package.metadata.release]
pre-release-commit-message = "chore: prepare for release v{{version}}"
tag-message = "Release {{crate_name}} version {{version}}"

[[package.metadata.release.pre-release-replacements]]
file = "README.md"
replace = "{{version}}"
search = '\d+\.\d+\.\d+'

[[package.metadata.release.pre-release-replacements]]
file = "CHANGELOG.md"
replace = "{{version}}"
search = "@Unreleased"

[[package.metadata.release.pre-release-replacements]]
file = "CHANGELOG.md"
replace = '{{date}} <a id="{{version}}"></a>'
search = "@ReleaseDate"

[[package.metadata.release.pre-release-replacements]]
file = "CHANGELOG.md"
replace = """
[comment]: <> (@PlannedForNextRelease)
## [@Unreleased] - @ReleaseDate
"""
search = '\[comment\]: <> \(@PlannedForNextRelease\)'

[lib]
name = "dofus_dmg_calculator"
path = "src/lib.rs"

[[bin]]
name = "dofus-dmg-calculator"
path = "src/main.rs"

[[test]]
name = "integration_tests"
path = "tests/integration_tests.rs"

[[bench]]
name = "bin_benchmark"
path = "benches/bin_benchmark.rs"
harness = false

[[bench]]
name = "lib_benchmark"
path = "benches/lib_benchmark.rs"
harness = false

[dependencies.clap]
version = "4.5.32"
features = [
    "std",
    "help",
    "color",
    "error-context",
    "derive",
    "usage",
]
default-features = false

[dev-dependencies.criterion]
version = "0.5.1"
features = ["html_reports"]

[dev-dependencies.test_bin]
version = "0.4.0"
